﻿using Infragistics.Controls.Charts;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace DataChartScatterSeries
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        SampleData _data = new SampleData();

        public MainWindow()
        {
            InitializeComponent();

            BuildSeries();
        }

        private void BuildSeries()
        {
            ScatterSeries series = new ScatterSeries();
            series.ItemsSource = _data;
            series.MarkerType = MarkerType.Circle;
            series.XMemberPath = "X";
            series.YMemberPath = "Y";
            series.XAxis = (NumericXAxis)chart1.Axes.Where(x => x.Name == "ScatterNumericXAxis").FirstOrDefault();
            series.YAxis = (NumericYAxis)chart1.Axes.Where(x => x.Name == "ScatterNumericYAxis").FirstOrDefault();
            chart1.Series.Add(series);

            DataTemplate dt = this.Resources["ToolTipTemplate"] as DataTemplate;
            series.ToolTip = dt.LoadContent();
        }
    }

    public class SampleData : ObservableCollection<SampleDataPoint>
    {
        public SampleData()
        {
            for (int i = 0; i < 10; i++)
            {
                Add(new SampleDataPoint { X = i, Y = i });
            }
        }
    }

    public class SampleDataPoint
    {
        public double X { get; set; }
        public double Y { get; set; }
    }
}
